#include <p18f4550.h>
#include "iut_lcd.h"
#include "iut_adc.h"

void main(void)
{
    int potar = 0;
    float v;

	// initialisation
    lcd_init();
    adc_init(0);

    lcd_position(0, 2);
    lcd_putrs("IUT en ligne");

	// boucle infinie
	while (1) {
		potar = adc_read(0);
		lcd_position(1, 0);
		lcd_printf("%4d", potar);
		v = potar * (5.0 / 1023);
		lcd_position(1, 10);
		lcd_printf("%5.3fV", v);
	}
}
