#include <p18f4550.h>
#include "iut_lcd.h"

void main(void)
{
	char bps;

	// initialisation
	TRISB |= 0x38;                 // B3, B4 et B5 en entres
	lcd_init();                    // on initialise l'cran LCD

	lcd_position(0, 2);
	lcd_printf("IUT en ligne");

	// boucle infinie
	while (1) {                    // on rpte infiniment
		bps = PORTB;               // on lit l'tat du port B
		if ((bps & 0x08) == 0) {   // si on appuie sur BP0 (B3)
			lcd_position(1, 0);
			lcd_printf("BP0");
		} else {                   // sinon
			lcd_position(1, 0);
			lcd_printf("   ");
		}
		if ((bps & 0x10) == 0) {   // si on appuie sur BP1 (B4)
			lcd_position(1, 6);
			lcd_printf("BP1");
		} else {                   // sinon
			lcd_position(1, 6);
			lcd_printf("   ");
		}
		if ((bps & 0x20) == 0) {   // si on appuie sur BP2 (B5)
			lcd_position(1, 13);
			lcd_printf("BP2");
		} else {                   // sinon
			lcd_position(1, 13);
			lcd_printf("   ");
		}
	}
}
