#include <p18f4550.h>
#include "iut_lcd.h"
#include "iut_adc.h"
#include "iut_pwm.h"

void main(void)
{
    int potar = 0;
    float a1, a2;

	// initialisation
    lcd_init();
    adc_init(0);
    pwm_init(149, 2);

    lcd_position(0, 0);
    lcd_printf("PWM1   POT  PWM2");

	// boucle infinie
	while (1) {
		potar = adc_read(0);
		pwm_setdc1(potar);
		pwm_setdc2(1023 - potar);
		a1 = potar / 600.0;
		if (a1 > 1) a1 = 1;
		a2 = (1023 - potar) / 600.0;
		if (a2 > 1) a2 = 1;
		lcd_position(1, 0);
		lcd_printf("%5.3f", a1);
		lcd_position(1, 6);
		lcd_printf("%4d", potar);
		lcd_position(1, 11);
		lcd_printf("%5.3f", a2);
	}
}
